@charset "UTF-8";
html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
  box-sizing: border-box; }

article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {
  display: block; }

body {
  line-height: 1; }

ol, ul {
  list-style: none; }

blockquote, q {
  quotes: none; }

blockquote:before, blockquote:after {
  content: '';
  content: none; }

q:before, q:after {
  content: '';
  content: none; }

table {
  border-collapse: collapse;
  border-spacing: 0; }

@font-face {
  font-family: 'Lato';
  src: local("Lato Hairline"), local("Lato-Hairline"), url("/static/fonts/latohairline.woff2") format("woff2"), url("/static/fonts/latohairline.woff") format("woff"), url("/static/fonts/latohairline.ttf") format("truetype");
  font-weight: 100;
  font-style: normal; }

@font-face {
  font-family: 'Lato';
  src: local("Lato Hairline Italic"), local("Lato-HairlineItalic"), url("/static/fonts/latohairlineitalic.woff2") format("woff2"), url("/static/fonts/latohairlineitalic.woff") format("woff"), url("/static/fonts/latohairlineitalic.ttf") format("truetype");
  font-weight: 100;
  font-style: italic; }

@font-face {
  font-family: 'Lato';
  src: local("Lato Thin"), local("Lato-Thin"), url("/static/fonts/latothin.woff2") format("woff2"), url("/static/fonts/latothin.woff") format("woff"), url("/static/fonts/latothin.ttf") format("truetype");
  font-weight: 200;
  font-style: normal; }

@font-face {
  font-family: 'Lato';
  src: local("Lato Thin Italic"), local("Lato-ThinItalic"), url("/static/fonts/latothinitalic.woff2") format("woff2"), url("/static/fonts/latothinitalic.woff") format("woff"), url("/static/fonts/latothinitalic.ttf") format("truetype");
  font-weight: 200;
  font-style: italic; }

@font-face {
  font-family: 'Lato';
  src: local("Lato Light"), local("Lato-Light"), url("/static/fonts/latolight.woff2") format("woff2"), url("/static/fonts/latolight.woff") format("woff"), url("/static/fonts/latolight.ttf") format("truetype");
  font-weight: 300;
  font-style: normal; }

@font-face {
  font-family: 'Lato';
  src: local("Lato Light Italic"), local("Lato-LightItalic"), url("/static/fonts/latolightitalic.woff2") format("woff2"), url("/static/fonts/latolightitalic.woff") format("woff"), url("/static/fonts/latolightitalic.ttf") format("truetype");
  font-weight: 300;
  font-style: italic; }

@font-face {
  font-family: 'Lato';
  src: local("Lato Regular"), local("Lato-Regular"), url("/static/fonts/latoregular.woff2") format("woff2"), url("/static/fonts/latoregular.woff") format("woff"), url("/static/fonts/latoregular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal; }

@font-face {
  font-family: 'Lato';
  src: local("Lato Italic"), local("Lato-Italic"), url("/static/fonts/latoitalic.woff2") format("woff2"), url("/static/fonts/latoitalic.woff") format("woff"), url("/static/fonts/latoitalic.ttf") format("truetype");
  font-weight: 400;
  font-style: italic; }

@font-face {
  font-family: 'Lato';
  src: local("Lato Medium"), local("Lato-Medium"), url("/static/fonts/latomedium.woff2") format("woff2"), url("/static/fonts/latomedium.woff") format("woff"), url("/static/fonts/latomedium.ttf") format("truetype");
  font-weight: 500;
  font-style: normal; }

@font-face {
  font-family: 'Lato';
  src: local("Lato Medium Italic"), local("Lato-MediumItalic"), url("/static/fonts/latomediumitalic.woff2") format("woff2"), url("/static/fonts/latomediumitalic.woff") format("woff"), url("/static/fonts/latomediumitalic.ttf") format("truetype");
  font-weight: 500;
  font-style: italic; }

@font-face {
  font-family: 'Lato';
  src: local("Lato Semibold"), local("Lato-Semibold"), url("/static/fonts/latosemibold.woff2") format("woff2"), url("/static/fonts/latosemibold.woff") format("woff"), url("/static/fonts/latosemibold.ttf") format("truetype");
  font-weight: 600;
  font-style: normal; }

@font-face {
  font-family: 'Lato';
  src: local("Lato Semibold Italic"), local("Lato-SemiboldItalic"), url("/static/fonts/latosemibolditalic.woff2") format("woff2"), url("/static/fonts/latosemibolditalic.woff") format("woff"), url("/static/fonts/latosemibolditalic.ttf") format("truetype");
  font-weight: 600;
  font-style: italic; }

@font-face {
  font-family: 'Lato';
  src: local("Lato Bold"), local("Lato-Bold"), url("/static/fonts/latobold.woff2") format("woff2"), url("/static/fonts/latobold.woff") format("woff"), url("/static/fonts/latobold.ttf") format("truetype");
  font-weight: 700;
  font-style: normal; }

@font-face {
  font-family: 'Lato';
  src: local("Lato Bold Italic"), local("Lato-BoldItalic"), url("/static/fonts/latobolditalic.woff2") format("woff2"), url("/static/fonts/latobolditalic.woff") format("woff"), url("/static/fonts/latobolditalic.ttf") format("truetype");
  font-weight: 700;
  font-style: italic; }

@font-face {
  font-family: 'Lato';
  src: local("Lato Heavy"), local("Lato-Heavy"), url("/static/fonts/latoheavy.woff2") format("woff2"), url("/static/fonts/latoheavy.woff") format("woff"), url("/static/fonts/latoheavy.ttf") format("truetype");
  font-weight: 800;
  font-style: normal; }

@font-face {
  font-family: 'Lato';
  src: local("Lato Heavy Italic"), local("Lato-HeavyItalic"), url("/static/fonts/latoheavyitalic.woff2") format("woff2"), url("/static/fonts/latoheavyitalic.woff") format("woff"), url("/static/fonts/latoheavyitalic.ttf") format("truetype");
  font-weight: 800;
  font-style: italic; }

@font-face {
  font-family: 'Lato';
  src: local("Lato Black"), local("Lato-Black"), url("/static/fonts/latoblack.woff2") format("woff2"), url("/static/fonts/latoblack.woff") format("woff"), url("/static/fonts/latoblack.ttf") format("truetype");
  font-weight: 900;
  font-style: normal; }

@font-face {
  font-family: 'Lato';
  src: local("Lato Black Italic"), local("Lato-BlackItalic"), url("/static/fonts/latoblackitalic.woff2") format("woff2"), url("/static/fonts/latoblackitalic.woff") format("woff"), url("/static/fonts/latoblackitalic.ttf") format("truetype");
  font-weight: 900;
  font-style: italic; }

@font-face {
  font-family: 'Fira Code';
  src: url("/static/fonts/FiraCode-Light.eot");
  src: url("/static/fonts/FiraCode-Light.eot") format("embedded-opentype"), url("/static/fonts/FiraCode-Light.woff2") format("woff2"), url("/static/fonts/FiraCode-Light.woff") format("woff"), url("/static/fonts/FiraCode-Light.ttf") format("truetype");
  font-weight: 300;
  font-style: normal; }

@font-face {
  font-family: 'Fira Code';
  src: url("/static/fonts/FiraCode-Regular.eot");
  src: url("/static/fonts/FiraCode-Regular.eot") format("embedded-opentype"), url("/static/fonts/FiraCode-Regular.woff2") format("woff2"), url("/static/fonts/FiraCode-Regular.woff") format("woff"), url("/static/fonts/FiraCode-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal; }

@font-face {
  font-family: 'Fira Code';
  src: url("/static/fonts/FiraCode-Medium.eot");
  src: url("/static/fonts/FiraCode-Medium.eot") format("embedded-opentype"), url("/static/fonts/FiraCode-Medium.woff2") format("woff2"), url("/static/fonts/FiraCode-Medium.woff") format("woff"), url("/static/fonts/FiraCode-Medium.ttf") format("truetype");
  font-weight: 500;
  font-style: normal; }

@font-face {
  font-family: 'Fira Code';
  src: url("/static/fonts/FiraCode-Bold.eot");
  src: url("/static/fonts/FiraCode-Bold.eot") format("embedded-opentype"), url("/static/fonts/FiraCode-Bold.woff2") format("woff2"), url("/static/fonts/FiraCode-Bold.woff") format("woff"), url("/static/fonts/FiraCode-Bold.ttf") format("truetype");
  font-weight: 700;
  font-style: normal; }

html,
body {
  background-color: #000000;
  font-family: "Lato", sans-serif;
  color: #ffffff;
  font-size: 18px;
  font-weight: 300;
  height: 100%;
  margin: 0; }
  html main,
  body main {
    min-height: calc(100% - 373px); }
  html .main,
  body .main {
    transition: all .5s;
    padding: 100px; }
    @media (max-width: 750px) {
      html .main,
      body .main {
        padding: 50px; } }
    @media (max-width: 450px) {
      html .main,
      body .main {
        padding: 50px 10px; } }
  html h1,
  body h1 {
    font-weight: 900;
    font-size: 2rem; }
  html h2,
  body h2 {
    font-weight: 900;
    font-size: 1.9rem; }
  html h3,
  body h3 {
    font-weight: 700;
    font-size: 1.8rem; }
  html h4,
  body h4 {
    font-weight: 700;
    font-size: 1.5rem; }
  html h5,
  body h5 {
    font-weight: 400;
    font-size: 1rem;
    text-transform: uppercase;
    letter-spacing: 2px; }
    html h5 + p,
    body h5 + p {
      margin: 10px 0 0; }
  html h1, html h2, html h3, html h4,
  body h1,
  body h2,
  body h3,
  body h4 {
    margin: 0 0 35px; }
    html h1 + p, html h2 + p, html h3 + p, html h4 + p,
    body h1 + p,
    body h2 + p,
    body h3 + p,
    body h4 + p {
      margin: 0; }
  html p,
  body p {
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    margin: 35px 0 0; }
    html p b,
    body p b {
      font-weight: 900; }
    html p i,
    body p i {
      font-style: italic; }
    html p img,
    body p img {
      width: 100%; }
  html a,
  body a {
    color: #D81159;
    text-decoration: none; }
    html a:hover,
    body a:hover {
      color: #FFFFFF; }

header {
  width: 100%;
  height: 150px;
  font-size: 0;
  padding: 0 100px; }
  @media (max-width: 750px) {
    header {
      padding: 0 50px; } }
  @media (max-width: 450px) {
    header {
      padding: 0 10px;
      height: 100px; } }
  header .menu,
  header .logo,
  header .links {
    display: inline-block;
    width: calc(100% / 3);
    font-size: 22px;
    vertical-align: top;
    line-height: 150px; }
    @media (max-width: 450px) {
      header .menu,
      header .logo,
      header .links {
        line-height: 100px; } }
    header .menu img,
    header .logo img,
    header .links img {
      height: 23px; }
    header .menu a,
    header .logo a,
    header .links a {
      text-decoration: none;
      color: #ffffff;
      margin: 0 40px 0 0; }
      @media (max-width: 750px) {
        header .menu a,
        header .logo a,
        header .links a {
          margin: 0 15px 0 0; } }
  header .menu {
    transition: all .5s; }
    header .menu input {
      display: none; }
      header .menu input:checked + label {
        transform: rotate(90deg); }
    header .menu label {
      cursor: pointer; }
    @media (max-width: 450px) {
      header .menu img {
        display: none; } }
  header .logo {
    text-align: center;
    margin-top: 9px; }
    header .logo img {
      height: 34px; }
      @media (max-width: 750px) {
        header .logo img {
          height: 30px; } }
    header .logo a {
      margin: 0; }
  header .links {
    text-align: right; }
    header .links a {
      text-decoration: none;
      color: #ffffff;
      margin: 0 0 0 40px; }
      @media (max-width: 750px) {
        header .links a {
          margin: 0 0 0 15px; } }
    @media (max-width: 450px) {
      header .links {
        display: none; } }

menu {
  height: 0;
  background: #ffffff;
  padding: 0 100px;
  transition: all .5s;
  font-size: .89rem; }
  @media (max-width: 750px) {
    menu {
      padding: 0 50px; } }
  @media (max-width: 450px) {
    menu {
      padding: 0 10px; } }
  menu a {
    visibility: hidden;
    color: #333333;
    font-weight: 300;
    text-decoration: none;
    margin-right: 50px;
    display: inline-block;
    text-transform: uppercase;
    letter-spacing: 3px;
    font-size: .8rem; }
    menu a:last-child {
      margin-right: 0; }
    menu a:hover {
      color: #000000; }
  menu.open {
    height: 150px; }
    @media (max-width: 750px) {
      menu.open {
        height: auto; } }
    menu.open a {
      visibility: visible;
      line-height: 150px;
      transition-delay: .5s; }
      @media (max-width: 750px) {
        menu.open a {
          line-height: 75px; } }

footer {
  background-color: #ffffff;
  color: #000000;
  padding: 50px 100px;
  min-height: 150px;
  font-size: 0; }
  @media (max-width: 750px) {
    footer {
      padding: 50px 50px; } }
  @media (max-width: 450px) {
    footer {
      padding: 50px 10px; } }
  footer .logo {
    margin-bottom: 20px; }
    footer .logo img {
      height: 28px; }
  footer .footer-menu,
  footer .disclaimer {
    width: 50%;
    display: inline-block;
    vertical-align: top; }
  footer .footer-menu {
    font-size: .89rem; }
    footer .footer-menu a {
      color: #555555;
      display: block;
      text-decoration: none;
      margin: 0;
      font-size: .69rem;
      font-weight: 400;
      line-height: 1rem;
      text-transform: uppercase; }
      footer .footer-menu a:hover {
        text-decoration: none;
        color: #000000; }
  footer .disclaimer {
    text-align: right; }
    footer .disclaimer .support {
      margin-top: 30px; }
      footer .disclaimer .support a {
        color: #555555;
        text-decoration: none;
        font-size: 0; }
        footer .disclaimer .support a:hover {
          color: #000000; }
        footer .disclaimer .support a i {
          text-align: right;
          margin-right: 10px; }
        footer .disclaimer .support a span {
          font-size: .89rem; }
    footer .disclaimer .text p {
      color: #555555;
      margin-bottom: 20px;
      font-size: .69rem;
      line-height: 1rem;
      text-transform: uppercase;
      margin: 0; }
      footer .disclaimer .text p b {
        font-weight: 600; }

.grid {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: flex-start;
  height: 100%;
  justify-content: space-between;
  align-items: flex-start; }
  .grid-item {
    margin-bottom: 100px;
    width: 28%; }
    @media (max-width: 1000px) {
      .grid-item {
        width: 45%; } }
    @media (max-width: 600px) {
      .grid-item {
        width: 100%; } }
    .grid-item .img {
      border-radius: 10px; }
    .grid-item .about {
      margin: 20px 0 0;
      padding-right: 30px; }
      .grid-item .about h5 {
        margin-top: 10px;
        font-size: 1rem;
        font-weight: 800; }
      .grid-item .about time {
        font-size: 0.8rem;
        font-weight: 300; }
    .grid-item a {
      text-decoration: none;
      color: #ffffff;
      transition: opacity 0.5s ease-in, color 1.5s ease-out; }
      .grid-item a:hover h5 {
        color: #999999; }
  .grid-2 .grid-item {
    width: 45%; }
    @media (max-width: 600px) {
      .grid-2 .grid-item {
        width: 100%; } }

.lesson-head {
  background-color: rgba(255, 255, 255, 0.14);
  margin: 0 0 100px;
  position: relative;
  background-size: cover;
  background-position: center; }
  .lesson-head .cover {
    background-color: rgba(0, 0, 0, 0.5);
    padding: 100px;
    z-index: 10; }
    @media (max-width: 750px) {
      .lesson-head .cover {
        padding: 50px; } }
    @media (max-width: 450px) {
      .lesson-head .cover {
        padding: 50px 10px; } }
    .lesson-head .cover h1 {
      margin: 0; }
    .lesson-head .cover .info-number {
      margin: 15px 0 35px;
      background-color: #D81159;
      display: inline-block;
      padding: 5px 20px;
      text-transform: uppercase;
      letter-spacing: 3px;
      font-weight: 600;
      font-size: 1.1rem; }
    .lesson-head .cover .data {
      margin-top: 30px; }
      .lesson-head .cover .data div {
        display: inline-block; }
      .lesson-head .cover .data div:not(:first-child) {
        background-color: #ffffff;
        color: #000000;
        font-size: .78rem;
        font-weight: 600;
        border-radius: 20px;
        margin-left: 15px;
        padding: 5px 10px; }
  .lesson-head-lines-line {
    position: absolute;
    display: block;
    height: 7px;
    border-radius: 7px;
    transform: rotate(-45deg);
    z-index: 1; }
    .lesson-head-lines-line:nth-child(1) {
      background-color: #FFBC42;
      width: 150px;
      top: 40px;
      right: 50px; }
    .lesson-head-lines-line:nth-child(2) {
      background-color: #D81159;
      width: 130px;
      top: 153px;
      right: 104px; }
    .lesson-head-lines-line:nth-child(3) {
      background-color: #8F2D56;
      width: 50px;
      top: 150px;
      right: 65px; }
    .lesson-head-lines-line:nth-child(4) {
      background-color: #218380;
      width: 160px;
      top: 47px;
      left: -65px; }
    .lesson-head-lines-line:nth-child(5) {
      background-color: #FFBC42;
      width: 200px;
      bottom: 33px;
      left: 65px; }
    .lesson-head-lines-line:nth-child(6) {
      background-color: #D81159;
      width: 150px;
      bottom: 0px;
      left: 0px; }
    .lesson-head-lines-line:nth-child(7) {
      background-color: #8F2D56;
      width: 110px;
      bottom: 15px;
      right: 0px; }
    @media (max-width: 600px) {
      .lesson-head-lines-line {
        display: none; } }

.lesson-content {
  font-size: 0; }
  .lesson-content-data {
    margin: 50px 0 100px;
    display: table;
    width: 100%;
    border-collapse: collapse; }
    .lesson-content-data .data-row {
      display: table-row; }
      .lesson-content-data .data-row .data {
        font-size: 0;
        display: table-cell;
        vertical-align: middle;
        width: 50%;
        border: 1px solid rgba(255, 255, 255, 0.35);
        padding: 40px; }
        .lesson-content-data .data-row .data-icon, .lesson-content-data .data-row .data-info {
          display: inline-block;
          vertical-align: middle;
          width: 50%;
          font-size: .75rem; }
        .lesson-content-data .data-row .data-icon {
          text-transform: uppercase; }
          @media (max-width: 1000px) {
            .lesson-content-data .data-row .data-icon {
              font-size: 0; } }
          @media (max-width: 600px) {
            .lesson-content-data .data-row .data-icon {
              font-size: 0; } }
          .lesson-content-data .data-row .data-icon i {
            font-size: 1.2rem;
            margin-right: 20px; }
        .lesson-content-data .data-row .data-info {
          transition: all .5s; }
  .lesson-content-course {
    width: 100%;
    max-height: 300px;
    overflow-y: scroll;
    margin: 50px 0; }
    .lesson-content-course__item {
      margin-bottom: 20px; }
      .lesson-content-course__item .icon,
      .lesson-content-course__item .info {
        display: inline-block;
        vertical-align: middle; }
      .lesson-content-course__item .icon {
        font-size: 1.2rem;
        margin-right: 25px; }
      .lesson-content-course__item .info {
        text-transform: uppercase;
        font-size: .8rem; }
        .lesson-content-course__item .info-number {
          background-color: #218380;
          display: inline-block;
          padding: 5px 10px;
          letter-spacing: 2px; }
          .lesson-content-course__item .info-number.current {
            background-color: #D81159; }
        .lesson-content-course__item .info h6 {
          margin-top: 10px;
          font-size: .7rem;
          color: #AEAEAE; }

.lesson-content-video {
  margin: 50px 0; }
  .lesson-content-video .plyr__control--overlaid {
    background: rgba(0, 0, 0, 0.8); }
    .lesson-content-video .plyr__control--overlaid:hover, .lesson-content-video .plyr__control--overlaid:focus {
      background: #000000; }
  .lesson-content-video .plyr--video .plyr__control:hover,
  .lesson-content-video .plyr--video .plyr__control.plyr__tab-focus {
    background: #000000; }
  .lesson-content-video .plyr .plyr__control.plyr__tab-focus {
    box-shadow: 0 0 0 5px rgba(0, 0, 0, 0.5); }
  .lesson-content-video .plyr__controls {
    background: rgba(255, 255, 255, 0.97);
    color: #000000;
    padding: 10px;
    border-radius: 10px; }
    @media (max-width: 450px) {
      .lesson-content-video .plyr__controls {
        padding: 10px; } }
    .lesson-content-video .plyr__controls .plyr__progress input[type=range],
    .lesson-content-video .plyr__controls .plyr__volume input[type=range] {
      color: #000000; }
    .lesson-content-video .plyr__controls .plyr__progress__buffer,
    .lesson-content-video .plyr__controls .plyr__volume__buffer {
      color: rgba(223, 223, 223, 0.91); }

.hljs {
  margin: 50px 0;
  display: block;
  overflow-x: auto;
  padding: 20px;
  color: #abb2bf;
  background: #282c34;
  font-size: 14.5px;
  font-family: 'Fira Code';
  line-height: 21px; }
  .hljs-comment, .hljs-quote {
    color: #5c6370;
    font-style: italic; }
  .hljs-doctag, .hljs-keyword, .hljs-formula {
    color: #c678dd; }
  .hljs-section, .hljs-name, .hljs-selector-tag, .hljs-deletion, .hljs-subst {
    color: #e06c75; }
  .hljs-literal {
    color: #56b6c2; }
  .hljs-string, .hljs-regexp, .hljs-addition, .hljs-attribute, .hljs-meta-string {
    color: #98c379; }
  .hljs-built_in,
  .hljs-class .hljs-title {
    color: #e6c07b; }
  .hljs-attr, .hljs-variable, .hljs-template-variable, .hljs-type, .hljs-selector-class, .hljs-selector-attr, .hljs-selector-pseudo, .hljs-number {
    color: #d19a66; }
  .hljs-symbol, .hljs-bullet, .hljs-link, .hljs-meta, .hljs-selector-id, .hljs-title {
    color: #61aeee; }
  .hljs-emphasis {
    font-style: italic; }
  .hljs-strong {
    font-weight: bold; }
  .hljs-link {
    text-decoration: underline; }

form input,
form button,
form select,
form textarea {
  outline: none;
  color: #ffffff;
  font-size: .9rem;
  margin: 0 0 20px;
  padding: 0;
  font-size: .88rem;
  font-family: "Lato", sans-serif;
  box-sizing: border-box;
  border-radius: 0; }
  form input:-webkit-autofill,
  form button:-webkit-autofill,
  form select:-webkit-autofill,
  form textarea:-webkit-autofill {
    -webkit-box-shadow: inset 0 0 0 50px #000000 !important;
    -webkit-text-fill-color: #ffffff !important;
    color: #000000 !important; }

form textarea {
  width: 100%;
  height: 55px;
  background-color: transparent;
  border: medium none;
  border-bottom: 1px solid rgba(255, 255, 255, 0.35);
  resize: vertical;
  padding: 20px; }

form button {
  background-color: #D81159;
  border: medium none;
  border-radius: 0;
  width: 100%;
  text-transform: uppercase;
  letter-spacing: 1px;
  color: rgba(255, 255, 255, 0.7);
  padding: 20px;
  transition: all .5s;
  cursor: pointer; }
  form button:hover, form button:focus {
    background-color: #ffffff;
    color: #000000; }
  form button[disabled='disabled'] {
    background-color: #9f9f9f;
    color: #000000;
    cursor: not-allowed; }

form input[type='text'], form input[type='email'], form input[type='password'] {
  width: 100%;
  display: block;
  padding: 20px;
  background-color: transparent;
  border: medium none;
  border-bottom: 1px solid rgba(255, 255, 255, 0.35); }

form .form-row {
  position: relative;
  width: 100%;
  z-index: 5;
  margin-top: 20px; }
  form .form-row input {
    position: relative;
    width: 100%;
    z-index: 7; }
    form .form-row input:focus ~ span,
    form .form-row input:valid ~ span {
      position: absolute;
      top: 0;
      left: 20px;
      z-index: 10;
      font-size: .8rem; }
  form .form-row span {
    position: absolute;
    top: 20px;
    left: 20px;
    z-index: 10;
    font-size: .88rem;
    transition: all .8s; }
  form .form-row i {
    position: absolute;
    display: block;
    right: 5px;
    bottom: 21px;
    font-size: 1.2rem;
    font-weight: 600; }

.form h5 {
  text-align: center;
  margin: 10px 0 25px; }

.form .alt-login a {
  display: block;
  color: #ffffff;
  text-align: center;
  margin: 25px 0;
  text-decoration: none; }
  .form .alt-login a:hover {
    color: #999999; }
  .form .alt-login a:first-child {
    background-color: #3b5998;
    border: medium none;
    border-radius: 0;
    width: 100%;
    text-transform: uppercase;
    letter-spacing: 1px;
    color: rgba(255, 255, 255, 0.7);
    padding: 20px;
    transition: all .5s;
    cursor: pointer;
    text-decoration: none;
    font-size: .88rem; }
    .form .alt-login a:first-child:hover, .form .alt-login a:first-child:focus {
      background-color: #ffffff;
      color: #000000; }

.search-form {
  padding-bottom: 50px; }
  .search-form input[type='text'] {
    font-size: 4rem;
    font-weight: 800; }
    @media (max-width: 870px) {
      .search-form input[type='text'] {
        font-size: 2.9rem; } }
    @media (max-width: 600px) {
      .search-form input[type='text'] {
        font-size: 2rem; } }

.collaborate-form textarea {
  height: 200px; }

.rub {
  position: relative; }

.comments {
  margin: 10px 0; }
  .comments-add {
    color: #ffffff;
    font-size: 1.1rem;
    margin: 50px 0; }
    .comments-add .helper-desc {
      padding: 10px 0; }
      .comments-add .helper-desc i {
        vertical-align: middle; }
      .comments-add .helper-desc span {
        font-size: .77rem;
        vertical-align: middle;
        margin-left: 17px; }
  .comments-list-item {
    float: left;
    width: 90%;
    padding: 30px;
    background-color: #FFFFFF;
    border-radius: 30px 30px 30px 0;
    margin: 0 0 30px; }
    .comments-list-item::after {
      content: '';
      clear: both;
      position: relative;
      display: block; }
    .comments-list-item-admin {
      border-radius: 30px 30px 0 30px;
      float: right; }
    .comments-list-item-head {
      color: #666666;
      font-size: .75rem;
      margin-bottom: 10px; }
    .comments-list-item-body {
      color: #000000;
      font-size: .89rem; }
      .comments-list-item-body h1,
      .comments-list-item-body h2,
      .comments-list-item-body h3,
      .comments-list-item-body h4,
      .comments-list-item-body h5,
      .comments-list-item-body h6,
      .comments-list-item-body p {
        font-size: .82rem;
        margin: 8px 0 0;
        font-weight: 300; }
      .comments-list-item-body h1,
      .comments-list-item-body h2,
      .comments-list-item-body h3,
      .comments-list-item-body h4,
      .comments-list-item-body h5,
      .comments-list-item-body h6,
      .comments-list-item-body strong {
        font-weight: 900; }
      .comments-list-item-body em {
        font-style: italic; }
      .comments-list-item-body blockquote {
        border-left: 3px solid #dfdfdf;
        padding-left: 8px;
        color: #666666; }
      .comments-list-item-body code {
        margin: 15px 0; }
      .comments-list-item-body a {
        color: #D81159;
        transition: all .5s; }
        .comments-list-item-body a:hover {
          text-decoration: none; }
      .comments-list-item-body ul,
      .comments-list-item-body ol {
        font-size: .82rem;
        margin: 8px 0 0;
        font-weight: 300; }
        .comments-list-item-body ul li,
        .comments-list-item-body ol li {
          margin: 5px 0 0; }
          .comments-list-item-body ul li::before,
          .comments-list-item-body ol li::before {
            content: "•";
            color: #D81159;
            padding-right: 10px; }
      .comments-list-item-body img {
        max-width: 250px;
        display: block;
        margin: 20px 0; }
    .comments-list-item-footer {
      color: #D81159;
      font-size: .75rem;
      font-weight: 600;
      text-align: right; }
      .comments-list-item-footer i {
        font-size: .85rem;
        color: #000000;
        display: inline-block;
        margin: 0 0 0 10px;
        background: #ffffff;
        padding: 5px;
        border-radius: 18px;
        transition: all .7s;
        cursor: pointer; }
        .comments-list-item-footer i:hover, .comments-list-item-footer i:focus {
          background: #D81159;
          color: #ffffff;
          box-shadow: 0 0 0 6px #ef7ba5; }
        .comments-list-item-footer i.liked {
          background: #D81159;
          color: #ffffff; }
  .comments::after {
    content: '';
    clear: both;
    position: relative;
    display: block; }

.error {
  background-color: #ffffff;
  padding: 50px;
  color: #000;
  margin: 40px 0;
  width: 100%; }
  .error:empty {
    display: none; }
  .error a:hover {
    color: #555555; }

.page_not_found {
  position: relative;
  text-align: center;
  margin: 0 0 100px; }
  .page_not_found h1 {
    font-size: 18rem;
    font-weight: 100; }
  .page_not_found h5 a {
    color: #D81159;
    text-decoration: none; }
    .page_not_found h5 a:hover {
      color: #FFFFFF; }
  .page_not_found .lesson-head-lines-line:nth-child(1) {
    animation: linear infinite alternate;
    animation-name: line;
    animation-duration: 5s; }
  .page_not_found .lesson-head-lines-line:nth-child(2) {
    animation: linear infinite alternate;
    animation-name: line2;
    animation-duration: 15s; }
  .page_not_found .lesson-head-lines-line:nth-child(3) {
    animation: linear infinite alternate;
    animation-name: line3;
    animation-duration: 8s; }
  .page_not_found .lesson-head-lines-line:nth-child(4) {
    animation: linear infinite alternate;
    animation-name: line4;
    animation-duration: 11s; }
  .page_not_found .lesson-head-lines-line:nth-child(5) {
    animation: linear infinite alternate;
    animation-name: line5;
    animation-duration: 4s; }
  .page_not_found .lesson-head-lines-line:nth-child(6) {
    animation: linear infinite alternate;
    animation-name: line6;
    animation-duration: 10s; }
  .page_not_found .lesson-head-lines-line:nth-child(7) {
    animation: linear infinite alternate;
    animation-name: line7;
    animation-duration: 11s; }

@-webkit-keyframes line {
  0% {
    top: 40px;
    right: 50px; }
  50% {
    top: 90px;
    right: 100px; }
  100% {
    top: 40px;
    right: 50px; } }

@-webkit-keyframes line2 {
  0% {
    top: 153px;
    right: 104px; }
  50% {
    top: 80px;
    right: 31px; }
  100% {
    top: 153px;
    right: 104px; } }

@-webkit-keyframes line3 {
  0% {
    top: 150px;
    right: 65px; }
  50% {
    top: 200px;
    right: 115px; }
  100% {
    top: 150px;
    right: 65px; } }

@-webkit-keyframes line4 {
  0% {
    top: 47px;
    left: -65px; }
  50% {
    top: -40px;
    left: 22px; }
  100% {
    top: 47px;
    left: -65px; } }

@-webkit-keyframes line5 {
  0% {
    bottom: 33px;
    left: 65px; }
  50% {
    bottom: -32px;
    left: 0; }
  100% {
    bottom: 33px;
    left: 65px; } }

@-webkit-keyframes line6 {
  0% {
    bottom: 0px;
    left: 0px; }
  50% {
    bottom: 80px;
    left: 80px; }
  100% {
    bottom: 0px;
    left: 0px; } }

@-webkit-keyframes line7 {
  0% {
    bottom: 15px;
    right: 0px; }
  50% {
    bottom: 45px;
    right: -30px; }
  100% {
    bottom: 15px;
    right: 0px; } }

.placeholder {
  background-color: rgba(255, 255, 255, 0.14);
  background-size: cover;
  background-repeat: no-repeat;
  position: relative;
  overflow: hidden; }
  .placeholder img {
    position: absolute;
    opacity: 0;
    top: 0;
    left: 0;
    width: 100%;
    transition: opacity 1s linear; }
    .placeholder img.loaded {
      opacity: 1; }
  .placeholder .img-small {
    filter: blur(50px);
    /* this is needed so Safari keeps sharp edges */
    transform: scale(1); }

.profile {
  width: 100%;
  font-size: 0; }
  .profile-left, .profile-right {
    display: inline-block;
    vertical-align: top; }
  .profile-left {
    width: 35%;
    background-color: #101010;
    padding: 0 0 50px; }
    @media (max-width: 1100px) {
      .profile-left {
        width: 50%; } }
    @media (max-width: 650px) {
      .profile-left {
        width: 100%; } }
    .profile-left .user-avatar {
      width: 250px;
      height: 250px;
      margin: 50px auto 0;
      overflow: hidden;
      border-radius: 125px; }
      .profile-left .user-avatar img {
        transform: translate(0, -68px); }
    .profile-left .user-info {
      margin: 50px 0 0;
      width: 250px;
      font-size: 1.1rem;
      color: #FFFFFF;
      font-weight: 500;
      padding: 0 88px 0; }
      .profile-left .user-info div {
        margin-top: 15px; }
        .profile-left .user-info div label {
          font-size: 0.7rem;
          font-weight: 300;
          vertical-align: top;
          display: block;
          color: #dfdfdf; }
    .profile-left .user-statistic {
      margin: 50px 0 0; }
      .profile-left .user-statistic div {
        width: 50%;
        vertical-align: middle;
        display: inline-block;
        text-align: center;
        margin-bottom: 50px; }
        .profile-left .user-statistic div i {
          font-size: 1.6rem;
          display: inline-block;
          width: 100%;
          margin: 0 0 10px; }
        .profile-left .user-statistic div span {
          font-size: .8rem;
          width: 100%;
          display: inline-block;
          font-weight: 300; }
        .profile-left .user-statistic div a {
          color: #FFFFFF;
          font-size: 1.6rem; }
          .profile-left .user-statistic div a:hover {
            color: #D81159; }
  .profile-right {
    width: 65%;
    padding: 0 0 0 100px; }
    @media (max-width: 1100px) {
      .profile-right {
        width: 50%;
        padding: 0 0 0 50px; }
        .profile-right .grid-2 .grid-item {
          width: 100%; } }
    @media (max-width: 650px) {
      .profile-right {
        width: 100%;
        padding: 0; } }
    .profile-right h2 {
      line-height: 1.5rem; }
